diff --git a/changelog b/changelog
index 9139a97..aa128b6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080502 tpd src/input/schaum17.input post-mortem fixes
 20080501 tpd src/input/schaum16.input post-mortem fixes
 20080501 tpd src/input/schaum13.input post-mortem fixes
 20080430 tpd src/input/schaum13.input post-mortem fixes
diff --git a/src/input/schaum17.input.pamphlet b/src/input/schaum17.input.pamphlet
index a11b623..6092400 100644
--- a/src/input/schaum17.input.pamphlet
+++ b/src/input/schaum17.input.pamphlet
@@ -598,27 +598,34 @@ aa:=integrate(sin(p*x)*sin(q*x),x)
 --E
 
 --S 45
-bb:=(sin(p-q)*x)/(2*(p-q))-(sin(p+q)*x)/(2*(p+q))
+bb:=sin((p-q)*x)/(2*(p-q))-sin((p+q)*x)/(2*(p+q))
 --R
---R        (- q + p)x sin(q + p) + (q + p)x sin(q - p)
---R   (2)  -------------------------------------------
---R                           2     2
---R                         2q  - 2p
+--R        (- q + p)sin((q + p)x) + (q + p)sin((q - p)x)
+--R   (2)  ---------------------------------------------
+--R                            2     2
+--R                          2q  - 2p
 --R                                                     Type: Expression Integer
 --E 
 
---S 46     14:353 Axiom cannot simplify this expression
+--S 46
 cc:=aa-bb
 --R
 --R   (3)
---R       2p cos(p x)sin(q x) - 2q cos(q x)sin(p x) + (q - p)x sin(q + p)
+--R       (q - p)sin((q + p)x) + 2p cos(p x)sin(q x) + (- q - p)sin((q - p)x)
 --R     + 
---R       (- q - p)x sin(q - p)
+--R       - 2q cos(q x)sin(p x)
 --R  /
 --R       2     2
 --R     2q  - 2p
 --R                                                     Type: Expression Integer
 --E
+
+--S 47     14:353 Schams and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.354~~~~~$\displaystyle
@@ -629,7 +636,7 @@ $$
 <<*>>=
 )clear all
 
---S 47
+--S 48
 aa:=integrate(1/(1-sin(a*x)),x)
 --R 
 --R
@@ -639,7 +646,7 @@ aa:=integrate(1/(1-sin(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 48
+--S 49
 bb:=1/a*tan(%pi/4+(a*x)/2)
 --R
 --R            2a x + %pi
@@ -650,7 +657,7 @@ bb:=1/a*tan(%pi/4+(a*x)/2)
 --R                                                     Type: Expression Integer
 --E 
 
---S 49
+--S 50
 cc:=aa-bb
 --R
 --R                                       2a x + %pi
@@ -661,7 +668,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 50     14:354 Schaums and Axiom differ by a constant
+--S 51     14:354 Schaums and Axiom differ by a constant
 dd:=complexNormalize cc
 --R
 --R        1
@@ -680,7 +687,7 @@ $$
 <<*>>=
 )clear all
 
---S 51
+--S 52
 aa:=integrate(x/(1-sin(ax)),x)
 --R 
 --R
@@ -691,7 +698,7 @@ aa:=integrate(x/(1-sin(ax)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 52
+--S 53
 bb:=x/a*tan(%pi/4+(a*x)/2)+2/a^2*log(sin(%pi/4-(a*x)/2))
 --R
 --R                   2a x - %pi             2a x + %pi
@@ -703,7 +710,7 @@ bb:=x/a*tan(%pi/4+(a*x)/2)+2/a^2*log(sin(%pi/4-(a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 53     14:355 Axiom cannot simplify this expression
+--S 54     14:355 Axiom cannot simplify this expression
 cc:=aa-bb
 --R
 --R   (3)
@@ -729,7 +736,7 @@ $$
 <<*>>=
 )clear all
 
---S 54
+--S 55
 aa:=integrate(1/(1+sin(ax)),x)
 --R 
 --R
@@ -739,7 +746,7 @@ aa:=integrate(1/(1+sin(ax)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 55
+--S 56
 bb:=-1/a*tan(%pi/4-(a*x)/2)
 --R
 --R            2a x - %pi
@@ -750,7 +757,7 @@ bb:=-1/a*tan(%pi/4-(a*x)/2)
 --R                                                     Type: Expression Integer
 --E
 
---S 56
+--S 57
 cc:=aa-bb
 --R
 --R                           2a x - %pi
@@ -761,7 +768,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 57
+--S 58
 tanrule:=rule(tan(a/b) == sin(a)/cos(b))
 --R
 --R            a     sin(a)
@@ -770,7 +777,7 @@ tanrule:=rule(tan(a/b) == sin(a)/cos(b))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 58     14:356 Axiom cannot simplify this expression
+--S 59     14:356 Axiom cannot simplify this expression
 dd:=tanrule cc
 --R
 --R        (- sin(ax) - 1)sin(2a x - %pi) + a x cos(4)
@@ -789,7 +796,7 @@ $$
 <<*>>=
 )clear all
 
---S 59
+--S 60
 aa:=integrate(x/(1+sin(a*x)),x)
 --R 
 --R
@@ -809,7 +816,7 @@ aa:=integrate(x/(1+sin(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 60
+--S 61
 bb:=-x/a*tan(%pi/4-(a*x)/2)+2/a^2*log(sin(%pi/4+(a*x)/2))
 --R
 --R                 2a x + %pi             2a x - %pi
@@ -821,7 +828,7 @@ bb:=-x/a*tan(%pi/4-(a*x)/2)+2/a^2*log(sin(%pi/4+(a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 61
+--S 62     14:257 Axiom cannot simplify this expression
 cc:=aa-bb
 --R
 --R   (3)
@@ -848,60 +855,6 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 62
-dd:=expandLog cc
---R
---R   (4)
---R       (2sin(a x) + 2cos(a x) + 2)log(sin(a x) + cos(a x) + 1)
---R     + 
---R                                            2a x + %pi
---R       (- 2sin(a x) - 2cos(a x) - 2)log(sin(----------))
---R                                                 4
---R     + 
---R       (- sin(a x) - cos(a x) - 1)log(cos(a x) + 1)
---R     + 
---R                                                2a x - %pi
---R       (- a x sin(a x) - a x cos(a x) - a x)tan(----------)
---R                                                     4
---R     + 
---R       (- log(2) + a x)sin(a x) + (- log(2) - a x)cos(a x) - log(2) - a x
---R  /
---R      2            2            2
---R     a sin(a x) + a cos(a x) + a
---R                                                     Type: Expression Integer
---E
-
---S 63
-tanrule:=rule(tan(a/b) == sin(a)/cos(b))
---R
---R            a     sin(a)
---R   (5)  tan(-) == ------
---R            b     cos(b)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 64     14:357 Axiom cannot simplify this expression
-ee:=tanrule dd
---R
---R   (6)
---R       (2cos(4)sin(a x) + 2cos(4)cos(a x) + 2cos(4))log(sin(a x) + cos(a x) + 1)
---R     + 
---R                                                              2a x + %pi
---R       (- 2cos(4)sin(a x) - 2cos(4)cos(a x) - 2cos(4))log(sin(----------))
---R                                                                   4
---R     + 
---R       (- cos(4)sin(a x) - cos(4)cos(a x) - cos(4))log(cos(a x) + 1)
---R     + 
---R       (- a x sin(a x) - a x cos(a x) - a x)sin(2a x - %pi)
---R     + 
---R       (- cos(4)log(2) + a x cos(4))sin(a x)
---R     + 
---R       (- cos(4)log(2) - a x cos(4))cos(a x) - cos(4)log(2) - a x cos(4)
---R  /
---R      2                  2                  2
---R     a cos(4)sin(a x) + a cos(4)cos(a x) + a cos(4)
---R                                                     Type: Expression Integer
---E
 @
 
 \section{\cite{1}:14.358~~~~~$\displaystyle
@@ -913,9 +866,8 @@ $$
 <<*>>=
 )clear all
 
---S 65
+--S 63
 aa:=integrate(1/(1-sin(a*x))^2,x)
---R 
 --R
 --R                                               2
 --R             (3cos(a x) + 3)sin(a x) + cos(a x)  - 4cos(a x) - 5
@@ -925,18 +877,18 @@ aa:=integrate(1/(1-sin(a*x))^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 66
-bb:=-1/(2*a)*tan(%pi/4+(a*x)/2)+1/(6*a)*tan(%pi/4+(a*x)/2)^3
+--S 64
+bb:=1/(2*a)*tan(%pi/4+(a*x)/2)+1/(6*a)*tan(%pi/4+(a*x)/2)^3
 --R
 --R            2a x + %pi 3        2a x + %pi
---R        tan(----------)  - 3tan(----------)
+--R        tan(----------)  + 3tan(----------)
 --R                 4                   4
 --R   (2)  -----------------------------------
 --R                         6a
 --R                                                     Type: Expression Integer
 --E 
 
---S 67
+--S 65
 cc:=aa-bb
 --R
 --R   (3)
@@ -944,9 +896,9 @@ cc:=aa-bb
 --R       ((- cos(a x) - 2)sin(a x) - cos(a x)  + cos(a x) + 2)tan(----------)
 --R                                                                     4
 --R     + 
---R                                           2                     2a x + %pi
---R       ((3cos(a x) + 6)sin(a x) + 3cos(a x)  - 3cos(a x) - 6)tan(----------)
---R                                                                      4
+--R                                             2                     2a x + %pi
+--R       ((- 3cos(a x) - 6)sin(a x) - 3cos(a x)  + 3cos(a x) + 6)tan(----------)
+--R                                                                        4
 --R     + 
 --R                                          2
 --R       (6cos(a x) + 6)sin(a x) + 2cos(a x)  - 8cos(a x) - 10
@@ -956,41 +908,199 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 68
-tanrule:=rule(tan(a/b) == sin(a)/cos(b))
+--S 66
+tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
---R            a     sin(a)
---R   (4)  tan(-) == ------
---R            b     cos(b)
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 69     14:358 Axiom cannot simplify this expression
+--S 67
 dd:=tanrule cc
 --R
 --R   (5)
---R                                           2                               3
---R       ((- cos(a x) - 2)sin(a x) - cos(a x)  + cos(a x) + 2)sin(2a x + %pi)
+--R                               2a x + %pi 3
+--R           (- cos(a x) - 2)sin(----------)
+--R                                    4
+--R         + 
+--R                   2a x + %pi 2                2a x + %pi 2     2a x + %pi
+--R           (- 3cos(----------) cos(a x) - 6cos(----------) )sin(----------)
+--R                        4                           4                4
+--R         + 
+--R                2a x + %pi 3                2a x + %pi 3
+--R           6cos(----------) cos(a x) + 6cos(----------)
+--R                     4                           4
+--R      *
+--R         sin(a x)
+--R     + 
+--R                  2                    2a x + %pi 3
+--R       (- cos(a x)  + cos(a x) + 2)sin(----------)
+--R                                            4
 --R     + 
---R                   2                  2                   2        2
---R           (3cos(4) cos(a x) + 6cos(4) )sin(a x) + 3cos(4) cos(a x)
+--R                  2a x + %pi 2        2        2a x + %pi 2
+--R           - 3cos(----------) cos(a x)  + 3cos(----------) cos(a x)
+--R                       4                            4
+--R         + 
+--R                2a x + %pi 2
+--R           6cos(----------)
+--R                     4
+--R      *
+--R             2a x + %pi
+--R         sin(----------)
+--R                  4
+--R     + 
+--R          2a x + %pi 3        2        2a x + %pi 3                 2a x + %pi 3
+--R     2cos(----------) cos(a x)  - 8cos(----------) cos(a x) - 10cos(----------)
+--R               4                            4                            4
+--R  /
+--R               2a x + %pi 3                   2a x + %pi 3
+--R       (6a cos(----------) cos(a x) + 12a cos(----------) )sin(a x)
+--R                    4                              4
+--R     + 
+--R              2a x + %pi 3        2          2a x + %pi 3
+--R       6a cos(----------) cos(a x)  - 6a cos(----------) cos(a x)
+--R                   4                              4
+--R     + 
+--R                 2a x + %pi 3
+--R       - 12a cos(----------)
+--R                      4
+--R                                                     Type: Expression Integer
+--E
+
+--S 68
+sindiffrule2:=rule(sin((a-b)/4) == sin(a/4)*cos(b/4)-cos(a/4)*sin(b/4))
+--R
+--R                 b - a              a     b           b     a
+--I   (6)  - %K sin(-----) == - %K cos(-)sin(-) + %K cos(-)sin(-)
+--R                   4                4     4           4     4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 69
+ee:=sindiffrule2 dd
+--R
+--R   (7)
+--R                               2a x + %pi 3
+--R           (- cos(a x) - 2)sin(----------)
+--R                                    4
 --R         + 
---R                    2                  2
---R           - 3cos(4) cos(a x) - 6cos(4)
+--R                   2a x + %pi 2                2a x + %pi 2     2a x + %pi
+--R           (- 3cos(----------) cos(a x) - 6cos(----------) )sin(----------)
+--R                        4                           4                4
+--R         + 
+--R                2a x + %pi 3                2a x + %pi 3
+--R           6cos(----------) cos(a x) + 6cos(----------)
+--R                     4                           4
 --R      *
---R         sin(2a x + %pi)
+--R         sin(a x)
+--R     + 
+--R                  2                    2a x + %pi 3
+--R       (- cos(a x)  + cos(a x) + 2)sin(----------)
+--R                                            4
 --R     + 
---R               3                  3                   3        2
---R       (6cos(4) cos(a x) + 6cos(4) )sin(a x) + 2cos(4) cos(a x)
+--R                  2a x + %pi 2        2        2a x + %pi 2
+--R           - 3cos(----------) cos(a x)  + 3cos(----------) cos(a x)
+--R                       4                            4
+--R         + 
+--R                2a x + %pi 2
+--R           6cos(----------)
+--R                     4
+--R      *
+--R             2a x + %pi
+--R         sin(----------)
+--R                  4
 --R     + 
---R                3                   3
---R       - 8cos(4) cos(a x) - 10cos(4)
+--R          2a x + %pi 3        2        2a x + %pi 3                 2a x + %pi 3
+--R     2cos(----------) cos(a x)  - 8cos(----------) cos(a x) - 10cos(----------)
+--R               4                            4                            4
 --R  /
---R                 3                     3                     3        2
---R       (6a cos(4) cos(a x) + 12a cos(4) )sin(a x) + 6a cos(4) cos(a x)
+--R               2a x + %pi 3                   2a x + %pi 3
+--R       (6a cos(----------) cos(a x) + 12a cos(----------) )sin(a x)
+--R                    4                              4
 --R     + 
---R                  3                     3
---R       - 6a cos(4) cos(a x) - 12a cos(4)
+--R              2a x + %pi 3        2          2a x + %pi 3
+--R       6a cos(----------) cos(a x)  - 6a cos(----------) cos(a x)
+--R                   4                              4
+--R     + 
+--R                 2a x + %pi 3
+--R       - 12a cos(----------)
+--R                      4
+--R                                                     Type: Expression Integer
+--E
+
+--S 70
+sincuberule:=rule(sin(a)^3 == 3/4*sin(a)-1/4*sin(3*a))
+--R
+--R              3    - sin(3a) + 3sin(a)
+--R   (8)  sin(a)  == -------------------
+--R                            4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 71
+ff:=sincuberule ee
+--R
+--R   (9)
+--R                                         2                    6a x + 3%pi
+--R       ((cos(a x) + 2)sin(a x) + cos(a x)  - cos(a x) - 2)sin(-----------)
+--R                                                                   4
+--R     + 
+--R                       2a x + %pi 2                      2a x + %pi 2
+--R             ((- 12cos(----------)  - 3)cos(a x) - 24cos(----------)  - 6)
+--R                            4                                 4
+--R          *
+--R                 2a x + %pi
+--R             sin(----------)
+--R                      4
+--R         + 
+--R                 2a x + %pi 3                 2a x + %pi 3
+--R           24cos(----------) cos(a x) + 24cos(----------)
+--R                      4                            4
+--R      *
+--R         sin(a x)
+--R     + 
+--R                    2a x + %pi 2             2
+--R           (- 12cos(----------)  - 3)cos(a x)
+--R                         4
+--R         + 
+--R                  2a x + %pi 2                      2a x + %pi 2
+--R           (12cos(----------)  + 3)cos(a x) + 24cos(----------)  + 6
+--R                       4                                 4
+--R      *
+--R             2a x + %pi
+--R         sin(----------)
+--R                  4
+--R     + 
+--R            2a x + %pi 3        2         2a x + %pi 3
+--R       8cos(----------) cos(a x)  - 32cos(----------) cos(a x)
+--R                 4                             4
+--R     + 
+--R               2a x + %pi 3
+--R       - 40cos(----------)
+--R                    4
+--R  /
+--R                2a x + %pi 3                   2a x + %pi 3
+--R       (24a cos(----------) cos(a x) + 48a cos(----------) )sin(a x)
+--R                     4                              4
+--R     + 
+--R               2a x + %pi 3        2           2a x + %pi 3
+--R       24a cos(----------) cos(a x)  - 24a cos(----------) cos(a x)
+--R                    4                               4
+--R     + 
+--R                 2a x + %pi 3
+--R       - 48a cos(----------)
+--R                      4
+--R                                                     Type: Expression Integer
+--E
+
+--S 72     14:358 Schaums and Axiom differ by a constant
+complexNormalize %
+--R
+--R          2
+--R   (10)  --
+--R         3a
 --R                                                     Type: Expression Integer
 --E
 @
@@ -1004,9 +1114,8 @@ $$
 <<*>>=
 )clear all
 
---S 70
+--S 73
 aa:=integrate(1/(1+sin(a*x))^2,x)
---R 
 --R
 --R                                                2
 --R            (- 3cos(a x) - 3)sin(a x) + cos(a x)  - 4cos(a x) - 5
@@ -1016,7 +1125,7 @@ aa:=integrate(1/(1+sin(a*x))^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 71
+--S 74
 bb:=-1/(2*a)*tan(%pi/4-(a*x)/2)-1/(6*a)*tan(%pi/4-(a*x)/2)^3
 --R
 --R            2a x - %pi 3        2a x - %pi
@@ -1027,7 +1136,7 @@ bb:=-1/(2*a)*tan(%pi/4-(a*x)/2)-1/(6*a)*tan(%pi/4-(a*x)/2)^3
 --R                                                     Type: Expression Integer
 --E 
 
---S 72     14:359 Axiom cannot simplify this expression
+--S 75
 cc:=aa-bb
 --R
 --R   (3)
@@ -1046,6 +1155,211 @@ cc:=aa-bb
 --R     (6a cos(a x) + 12a)sin(a x) - 6a cos(a x)  + 6a cos(a x) + 12a
 --R                                                     Type: Expression Integer
 --E
+
+--S 76
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 77
+dd:=tanrule cc
+--R
+--R   (5)
+--R                               2a x - %pi 3
+--R           (- cos(a x) - 2)sin(----------)
+--R                                    4
+--R         + 
+--R                   2a x - %pi 2                2a x - %pi 2     2a x - %pi
+--R           (- 3cos(----------) cos(a x) - 6cos(----------) )sin(----------)
+--R                        4                           4                4
+--R         + 
+--R                  2a x - %pi 3                2a x - %pi 3
+--R           - 6cos(----------) cos(a x) - 6cos(----------)
+--R                       4                           4
+--R      *
+--R         sin(a x)
+--R     + 
+--R                2                    2a x - %pi 3
+--R       (cos(a x)  - cos(a x) - 2)sin(----------)
+--R                                          4
+--R     + 
+--R                2a x - %pi 2        2        2a x - %pi 2
+--R           3cos(----------) cos(a x)  - 3cos(----------) cos(a x)
+--R                     4                            4
+--R         + 
+--R                  2a x - %pi 2
+--R           - 6cos(----------)
+--R                       4
+--R      *
+--R             2a x - %pi
+--R         sin(----------)
+--R                  4
+--R     + 
+--R          2a x - %pi 3        2        2a x - %pi 3                 2a x - %pi 3
+--R     2cos(----------) cos(a x)  - 8cos(----------) cos(a x) - 10cos(----------)
+--R               4                            4                            4
+--R  /
+--R               2a x - %pi 3                   2a x - %pi 3
+--R       (6a cos(----------) cos(a x) + 12a cos(----------) )sin(a x)
+--R                    4                              4
+--R     + 
+--R                2a x - %pi 3        2          2a x - %pi 3
+--R       - 6a cos(----------) cos(a x)  + 6a cos(----------) cos(a x)
+--R                     4                              4
+--R     + 
+--R               2a x - %pi 3
+--R       12a cos(----------)
+--R                    4
+--R                                                     Type: Expression Integer
+--E
+
+--S 78
+sindiffrule2:=rule(sin((a-b)/4) == sin(a/4)*cos(b/4)-cos(a/4)*sin(b/4))
+--R 
+--R
+--R                 b - a              a     b           b     a
+--I   (6)  - %U sin(-----) == - %U cos(-)sin(-) + %U cos(-)sin(-)
+--R                   4                4     4           4     4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 79
+ee:=sindiffrule2 dd
+--R
+--R   (7)
+--R                +-+    2a x - %pi 2             +-+    2a x - %pi 2     a x
+--R           (- 3\|2 cos(----------) cos(a x) - 6\|2 cos(----------) )sin(---)
+--R                            4                               4            2
+--R         + 
+--R                                2a x - %pi 3
+--R           (- 2cos(a x) - 4)sin(----------)
+--R                                     4
+--R         + 
+--R              +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R           (3\|2 cos(----------) cos(---) - 12cos(----------) )cos(a x)
+--R                          4           2                4
+--R         + 
+--R             +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R           6\|2 cos(----------) cos(---) - 12cos(----------)
+--R                         4           2                4
+--R      *
+--R         sin(a x)
+--R     + 
+--R            +-+    2a x - %pi 2             +-+    2a x - %pi 2     a x
+--R       (- 3\|2 cos(----------) cos(a x) - 6\|2 cos(----------) )sin(---)
+--R                        4                               4            2
+--R     + 
+--R                 2                     2a x - %pi 3
+--R       (2cos(a x)  - 2cos(a x) - 4)sin(----------)
+--R                                            4
+--R     + 
+--R            2a x - %pi 2        2    2a x - %pi         2a x - %pi 3        2
+--R       6cos(----------) cos(a x) sin(----------) + 4cos(----------) cos(a x)
+--R                 4                        4                  4
+--R     + 
+--R          +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R       (3\|2 cos(----------) cos(---) - 16cos(----------) )cos(a x)
+--R                      4           2                4
+--R     + 
+--R         +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R       6\|2 cos(----------) cos(---) - 20cos(----------)
+--R                     4           2                4
+--R  /
+--R                2a x - %pi 3                   2a x - %pi 3
+--R       (12a cos(----------) cos(a x) + 24a cos(----------) )sin(a x)
+--R                     4                              4
+--R     + 
+--R                 2a x - %pi 3        2           2a x - %pi 3
+--R       - 12a cos(----------) cos(a x)  + 12a cos(----------) cos(a x)
+--R                      4                               4
+--R     + 
+--R               2a x - %pi 3
+--R       24a cos(----------)
+--R                    4
+--R                                                     Type: Expression Integer
+--E
+
+--S 80
+sincuberule:=rule(sin(a)^3 == 3/4*sin(a)-1/4*sin(3*a))
+--R
+--R              3    - sin(3a) + 3sin(a)
+--R   (8)  sin(a)  == -------------------
+--R                            4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 81
+ff:=sincuberule ee
+--R
+--R   (9)
+--R                                         2                    6a x - 3%pi
+--R       ((cos(a x) + 2)sin(a x) - cos(a x)  + cos(a x) + 2)sin(-----------)
+--R                                                                   4
+--R     + 
+--R                +-+    2a x - %pi 2              +-+    2a x - %pi 2     a x
+--R           (- 6\|2 cos(----------) cos(a x) - 12\|2 cos(----------) )sin(---)
+--R                            4                                4            2
+--R         + 
+--R                                2a x - %pi
+--R           (- 3cos(a x) - 6)sin(----------)
+--R                                     4
+--R         + 
+--R              +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R           (6\|2 cos(----------) cos(---) - 24cos(----------) )cos(a x)
+--R                          4           2                4
+--R         + 
+--R              +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R           12\|2 cos(----------) cos(---) - 24cos(----------)
+--R                          4           2                4
+--R      *
+--R         sin(a x)
+--R     + 
+--R            +-+    2a x - %pi 2              +-+    2a x - %pi 2     a x
+--R       (- 6\|2 cos(----------) cos(a x) - 12\|2 cos(----------) )sin(---)
+--R                        4                                4            2
+--R     + 
+--R               2a x - %pi 2             2                     2a x - %pi
+--R       ((12cos(----------)  + 3)cos(a x)  - 3cos(a x) - 6)sin(----------)
+--R                    4                                              4
+--R     + 
+--R            2a x - %pi 3        2
+--R       8cos(----------) cos(a x)
+--R                 4
+--R     + 
+--R          +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R       (6\|2 cos(----------) cos(---) - 32cos(----------) )cos(a x)
+--R                      4           2                4
+--R     + 
+--R          +-+    2a x - %pi 2    a x          2a x - %pi 3
+--R       12\|2 cos(----------) cos(---) - 40cos(----------)
+--R                      4           2                4
+--R  /
+--R                2a x - %pi 3                   2a x - %pi 3
+--R       (24a cos(----------) cos(a x) + 48a cos(----------) )sin(a x)
+--R                     4                              4
+--R     + 
+--R                 2a x - %pi 3        2           2a x - %pi 3
+--R       - 24a cos(----------) cos(a x)  + 24a cos(----------) cos(a x)
+--R                      4                               4
+--R     + 
+--R               2a x - %pi 3
+--R       48a cos(----------)
+--R                    4
+--R                                                     Type: Expression Integer
+--E
+
+--S 82     14:359 Schaums and Axiom differ by a constant
+complexNormalize %
+--R
+--R            2
+--R   (10)  - --
+--R           3a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.360~~~~~$\displaystyle
@@ -1066,9 +1380,8 @@ $$
 <<*>>=
 )clear all
 
---S 73
+--S 83
 aa:=integrate(1/(p+q*sin(a*x)),x)
---R 
 --R
 --R   (1)
 --R   [
@@ -1099,37 +1412,35 @@ aa:=integrate(1/(p+q*sin(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 74
-bb1:=2/(a*sqrt(p^2-q^2))*atan((p*tan((a*x)/2+q))/sqrt(p^2-q^2))
---R
---R                    a x + 2q
---R              p tan(--------)
---R                        2
---R        2atan(---------------)
---R                 +---------+
---R                 |   2    2
---R                \|- q  + p
---R   (2)  ----------------------
---R               +---------+
---R               |   2    2
---R             a\|- q  + p
+--S 84
+bb1:=2/(a*sqrt(p^2-q^2))*atan((p*tan(a*x/2)+q)/sqrt(p^2-q^2))
+--R
+--R                    a x
+--R              p tan(---) + q
+--R                     2
+--R        2atan(--------------)
+--R                +---------+
+--R                |   2    2
+--R               \|- q  + p
+--R   (2)  ---------------------
+--R              +---------+
+--R              |   2    2
+--R            a\|- q  + p
 --R                                                     Type: Expression Integer
 --E
 
---S 75
-bb2:=1/(a*sqrt(q^2-p^2))*log((p*tan((a*x)/2+q-sqrt(q^2-p^2)))/(p*tan((a*x)/2+q+sqrt(q^2-p^2))))
---R
---R                    +-------+
---R                    | 2    2
---R                  2\|q  - p   - a x - 2q
---R              tan(----------------------)
---R                             2
---R        log(- ---------------------------)
---R                    +-------+
---R                    | 2    2
---R                  2\|q  - p   + a x + 2q
---R              tan(----------------------)
---R                             2
+--S 85
+bb2:=1/(a*sqrt(q^2-p^2))*log((p*tan((a*x)/2)+q-sqrt(q^2-p^2))/(p*tan((a*x)/2)+q+sqrt(q^2-p^2)))
+--R
+--R               +-------+
+--R               | 2    2          a x
+--R            - \|q  - p   + p tan(---) + q
+--R                                  2
+--R        log(-----------------------------)
+--R              +-------+
+--R              | 2    2          a x
+--R             \|q  - p   + p tan(---) + q
+--R                                 2
 --R   (3)  ----------------------------------
 --R                      +-------+
 --R                      | 2    2
@@ -1137,7 +1448,7 @@ bb2:=1/(a*sqrt(q^2-p^2))*log((p*tan((a*x)/2+q-sqrt(q^2-p^2)))/(p*tan((a*x)/2+q+s
 --R                                                     Type: Expression Integer
 --E
 
---S 76
+--S 86
 cc1:=aa.1-bb1
 --R
 --R   (4)
@@ -1155,13 +1466,13 @@ cc1:=aa.1-bb1
 --R           /
 --R              q sin(a x) + p
 --R     + 
---R                               a x + 2q
---R           +-------+     p tan(--------)
---R           | 2    2                2
---R       - 2\|q  - p  atan(---------------)
---R                            +---------+
---R                            |   2    2
---R                           \|- q  + p
+--R                               a x
+--R           +-------+     p tan(---) + q
+--R           | 2    2             2
+--R       - 2\|q  - p  atan(--------------)
+--R                           +---------+
+--R                           |   2    2
+--R                          \|- q  + p
 --R  /
 --R       +---------+ +-------+
 --R       |   2    2  | 2    2
@@ -1169,40 +1480,28 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 77
+--S 87
 cc2:=aa.2-bb1
 --R
 --R   (5)
---R                                         +---------+                a x + 2q
---R                                         |   2    2           p tan(--------)
---R           (p sin(a x) + q cos(a x) + q)\|- q  + p                      2
---R   - 2atan(-----------------------------------------) - 2atan(---------------)
---R                    2    2             2    2                    +---------+
---R                  (q  - p )cos(a x) + q  - p                     |   2    2
---R                                                                \|- q  + p
---R   ---------------------------------------------------------------------------
+--R                                         +---------+                a x
+--R                                         |   2    2           p tan(---) + q
+--R           (p sin(a x) + q cos(a x) + q)\|- q  + p                   2
+--R   - 2atan(-----------------------------------------) - 2atan(--------------)
+--R                    2    2             2    2                   +---------+
+--R                  (q  - p )cos(a x) + q  - p                    |   2    2
+--R                                                               \|- q  + p
+--R   --------------------------------------------------------------------------
 --R                                    +---------+
 --R                                    |   2    2
 --R                                  a\|- q  + p
 --R                                                     Type: Expression Integer
 --E
 
---S 78
+--S 88
 cc3:=aa.1-bb2
 --R
 --R   (6)
---R                     +-------+
---R                     | 2    2
---R                   2\|q  - p   - a x - 2q
---R               tan(----------------------)
---R                              2
---R       - log(- ---------------------------)
---R                     +-------+
---R                     | 2    2
---R                   2\|q  - p   + a x + 2q
---R               tan(----------------------)
---R                              2
---R     + 
 --R       log
 --R                                                      +-------+
 --R                                2    2             2  | 2    2
@@ -1212,6 +1511,16 @@ cc3:=aa.1-bb2
 --R              (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
 --R         /
 --R            q sin(a x) + p
+--R     + 
+--R                +-------+
+--R                | 2    2          a x
+--R             - \|q  - p   + p tan(---) + q
+--R                                   2
+--R       - log(-----------------------------)
+--R               +-------+
+--R               | 2    2          a x
+--R              \|q  - p   + p tan(---) + q
+--R                                  2
 --R  /
 --R       +-------+
 --R       | 2    2
@@ -1219,21 +1528,19 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 79     14:360 Axiom cannot simplify these equations
+--S 89
 cc4:=aa.2-bb2
 --R
 --R   (7)
---R                                 +-------+
---R                                 | 2    2
---R                               2\|q  - p   - a x - 2q
---R          +---------+      tan(----------------------)
---R          |   2    2                      2
---R       - \|- q  + p  log(- ---------------------------)
---R                                 +-------+
---R                                 | 2    2
---R                               2\|q  - p   + a x + 2q
---R                           tan(----------------------)
---R                                          2
+--R                            +-------+
+--R                            | 2    2          a x
+--R          +---------+    - \|q  - p   + p tan(---) + q
+--R          |   2    2                           2
+--R       - \|- q  + p  log(-----------------------------)
+--R                           +-------+
+--R                           | 2    2          a x
+--R                          \|q  - p   + p tan(---) + q
+--R                                              2
 --R     + 
 --R                                                       +---------+
 --R           +-------+                                   |   2    2
@@ -1248,6 +1555,233 @@ cc4:=aa.2-bb2
 --R                                                     Type: Expression Integer
 --E
 
+--S 90
+dd2:=ratDenom cc2
+--R
+--R   (8)
+--R                                            +---------+
+--R                                  a x       |   2    2
+--R           +---------+     (p tan(---) + q)\|- q  + p
+--R           |   2    2              2
+--R       - 2\|- q  + p  atan(----------------------------)
+--R                                       2    2
+--R                                      q  - p
+--R     + 
+--R                                                       +---------+
+--R         +---------+                                   |   2    2
+--R         |   2    2      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R       2\|- q  + p  atan(-----------------------------------------)
+--R                                  2    2             2    2
+--R                                (q  - p )cos(a x) + q  - p
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 91
+atanrule2:=rule(atan(x) == 1/2*%i*(log(1-%i*x)-log(1+%i*x)))
+--R
+--R                     1                    1
+--R   (9)  atan(x) == - - %i log(%i x + 1) + - %i log(- %i x + 1)
+--R                     2                    2
+--RType: RewriteRule(Integer,Complex Fraction Integer,Expression Complex Fraction Integer)
+--E
+
+--S 92
+ee2:=atanrule2 dd2
+--R
+--R   (10)
+--R                                                  +---------+
+--R                                   1              |   2    2     2    2
+--R          +---------+    (%i p tan(- a x) + %i q)\|- q  + p   + q  - p
+--R          |   2    2               2
+--R       %i\|- q  + p  log(----------------------------------------------)
+--R                                              2    2
+--R                                             q  - p
+--R     + 
+--R       -
+--R               +---------+
+--R               |   2    2
+--R            %i\|- q  + p
+--R         *
+--R            log
+--R                                                          +---------+
+--R                                                          |   2    2
+--R                   (%i p sin(a x) + %i q cos(a x) + %i q)\|- q  + p
+--R                 + 
+--R                     2    2             2    2
+--R                   (q  - p )cos(a x) + q  - p
+--R              /
+--R                   2    2             2    2
+--R                 (q  - p )cos(a x) + q  - p
+--R     + 
+--R            +---------+
+--R            |   2    2
+--R         %i\|- q  + p
+--R      *
+--R         log
+--R                                                         +---------+
+--R                                                         |   2    2
+--R                (- %i p sin(a x) - %i q cos(a x) - %i q)\|- q  + p
+--R              + 
+--R                  2    2             2    2
+--R                (q  - p )cos(a x) + q  - p
+--R           /
+--R                2    2             2    2
+--R              (q  - p )cos(a x) + q  - p
+--R     + 
+--R                                                      +---------+
+--R                                       1              |   2    2     2    2
+--R            +---------+    (- %i p tan(- a x) - %i q)\|- q  + p   + q  - p
+--R            |   2    2                 2
+--R       - %i\|- q  + p  log(------------------------------------------------)
+--R                                                 2    2
+--R                                                q  - p
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
+--S 93
+ff2:=expandLog ee2
+--R
+--R   (11)
+--R            +---------+                       +---------+
+--R            |   2    2            1           |   2    2        2       2
+--R       - %i\|- q  + p  log((p tan(- a x) + q)\|- q  + p   + %i q  - %i p )
+--R                                  2
+--R     + 
+--R          +---------+                       +---------+
+--R          |   2    2            1           |   2    2        2       2
+--R       %i\|- q  + p  log((p tan(- a x) + q)\|- q  + p   - %i q  + %i p )
+--R                                2
+--R     + 
+--R            +---------+
+--R            |   2    2
+--R         %i\|- q  + p
+--R      *
+--R         log
+--R                                            +---------+
+--R                                            |   2    2
+--R              (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R            + 
+--R                   2       2                2       2
+--R              (%i q  - %i p )cos(a x) + %i q  - %i p
+--R     + 
+--R       -
+--R               +---------+
+--R               |   2    2
+--R            %i\|- q  + p
+--R         *
+--R            log
+--R                                               +---------+
+--R                                               |   2    2
+--R                 (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R               + 
+--R                        2       2                2       2
+--R                 (- %i q  + %i p )cos(a x) - %i q  + %i p
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
+--S 94
+gg2:=numer(ff2)/denom(ff2)
+--R
+--R   (12)
+--R            +---------+                       +---------+
+--R            |   2    2            1           |   2    2        2       2
+--R       - %i\|- q  + p  log((p tan(- a x) + q)\|- q  + p   + %i q  - %i p )
+--R                                  2
+--R     + 
+--R          +---------+                       +---------+
+--R          |   2    2            1           |   2    2        2       2
+--R       %i\|- q  + p  log((p tan(- a x) + q)\|- q  + p   - %i q  + %i p )
+--R                                2
+--R     + 
+--R            +---------+
+--R            |   2    2
+--R         %i\|- q  + p
+--R      *
+--R         log
+--R                                            +---------+
+--R                                            |   2    2
+--R              (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R            + 
+--R                   2       2                2       2
+--R              (%i q  - %i p )cos(a x) + %i q  - %i p
+--R     + 
+--R       -
+--R               +---------+
+--R               |   2    2
+--R            %i\|- q  + p
+--R         *
+--R            log
+--R                                               +---------+
+--R                                               |   2    2
+--R                 (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R               + 
+--R                        2       2                2       2
+--R                 (- %i q  + %i p )cos(a x) - %i q  + %i p
+--R  /
+--R        2      2
+--R     a q  - a p
+--RType: Fraction SparseMultivariatePolynomial(Complex Fraction Integer,Kernel Expression Complex Fraction Integer)
+--E
+
+--S 95
+hh2:=gg2::Expression Complex Fraction Integer
+--R
+--R   (13)
+--R            +---------+                       +---------+
+--R            |   2    2            1           |   2    2        2       2
+--R       - %i\|- q  + p  log((p tan(- a x) + q)\|- q  + p   + %i q  - %i p )
+--R                                  2
+--R     + 
+--R          +---------+                       +---------+
+--R          |   2    2            1           |   2    2        2       2
+--R       %i\|- q  + p  log((p tan(- a x) + q)\|- q  + p   - %i q  + %i p )
+--R                                2
+--R     + 
+--R            +---------+
+--R            |   2    2
+--R         %i\|- q  + p
+--R      *
+--R         log
+--R                                            +---------+
+--R                                            |   2    2
+--R              (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R            + 
+--R                   2       2                2       2
+--R              (%i q  - %i p )cos(a x) + %i q  - %i p
+--R     + 
+--R       -
+--R               +---------+
+--R               |   2    2
+--R            %i\|- q  + p
+--R         *
+--R            log
+--R                                               +---------+
+--R                                               |   2    2
+--R                 (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R               + 
+--R                        2       2                2       2
+--R                 (- %i q  + %i p )cos(a x) - %i q  + %i p
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
+--S 96     14:360 Schaums and Axiom agree
+complexNormalize hh2
+--R
+--R   (14)  0
+--R                                    Type: Expression Complex Fraction Integer
+--E
 @
 
 \section{\cite{1}:14.361~~~~~$\displaystyle
@@ -1259,7 +1793,7 @@ $$
 <<*>>=
 )clear all
 
---S 80
+--S 97
 aa:=integrate(1/(p+q*sin(a*x))^2,x)
 --R 
 --R
@@ -1305,7 +1839,7 @@ aa:=integrate(1/(p+q*sin(a*x))^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 81
+--S 98
 t1:=integrate(1/(p+q*sin(a*x)),x)
 --R
 --R   (2)
@@ -1337,7 +1871,7 @@ t1:=integrate(1/(p+q*sin(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 82
+--S 99
 bb1:=(q*cos(a*x))/(a*(p^2-q^2)*(p+q*sin(a*x)))+p/(p^2-q^2)*t1.1
 --R
 --R   (3)
@@ -1364,7 +1898,7 @@ bb1:=(q*cos(a*x))/(a*(p^2-q^2)*(p+q*sin(a*x)))+p/(p^2-q^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 83
+--S 100
 bb2:=(q*cos(a*x))/(a*(p^2-q^2)*(p+q*sin(a*x)))+p/(p^2-q^2)*t1.2
 --R
 --R   (4)
@@ -1385,7 +1919,7 @@ bb2:=(q*cos(a*x))/(a*(p^2-q^2)*(p+q*sin(a*x)))+p/(p^2-q^2)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 84
+--S 101
 cc1:=aa.1-bb1
 --R
 --R   (5)
@@ -1425,7 +1959,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 85
+--S 102
 cc2:=aa.2-bb1
 --R
 --R   (6)
@@ -1460,7 +1994,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 86
+--S 103
 cc3:=aa.1-bb2
 --R
 --R   (7)
@@ -1495,7 +2029,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 87     14:361 Schaums and Axiom differ by a constant
+--S 104    14:361 Schaums and Axiom differ by a constant
 cc4:=aa.2-bb2
 --R
 --R                q
@@ -1514,41 +2048,31 @@ $$
 <<*>>=
 )clear all
 
---S 88
-aa:=integrate(1/(p^2+a^2*sin(a*x)),x)
---R 
+--S 105
+aa:=integrate(1/(p^2+q^2*sin(a*x)^2),x)
 --R
 --R   (1)
---R   [
---R       log
---R                                                        +---------+
---R                2 2               4    4             4  |   4    4
---R              (a p sin(a x) + (- p  + a )cos(a x) + a )\|- p  + a
---R            + 
---R                6    4 2              2 4    6             2 4    6
---R              (p  - a p )sin(a x) + (a p  - a )cos(a x) + a p  - a
---R         /
---R             2            2
---R            a sin(a x) + p
---R    /
---R         +---------+
---R         |   4    4
---R       a\|- p  + a
---R     ,
---R                                         +-------+
---R            2            2            2  | 4    4
---R          (p sin(a x) + a cos(a x) + a )\|p  - a
---R    2atan(----------------------------------------)
---R                   4    4             4    4
---R                 (p  - a )cos(a x) + p  - a
---R    -----------------------------------------------]
---R                        +-------+
---R                        | 4    4
---R                      a\|p  - a
---R                                     Type: Union(List Expression Integer,...)
+--R                             +-------+
+--R                             | 2    2
+--R                  p sin(a x)\|q  + p
+--R       atan(-------------------------------)
+--R               2     2              2     2
+--R            (2q  + 2p )cos(a x) + 2q  + 2p
+--R     + 
+--R                 2    2              2     2
+--R             ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)
+--R       atan(-----------------------------------------)
+--R                                            +-------+
+--R                       2                    | 2    2
+--R            (p cos(a x)  + 2p cos(a x) + p)\|q  + p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a p\|q  + p
+--R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 89
+--S 106
 bb:=1/(a*p*sqrt(p^2+q^2))*atan((sqrt(p^2+q^2)*tan(a*x))/p)
 --R
 --R                      +-------+
@@ -1563,60 +2087,368 @@ bb:=1/(a*p*sqrt(p^2+q^2))*atan((sqrt(p^2+q^2)*tan(a*x))/p)
 --R                                                     Type: Expression Integer
 --E
 
---S 90
-cc1:=aa.1-bb
+--S 107
+cc:=aa-bb
 --R
 --R   (3)
---R           +-------+
---R           | 2    2
---R         p\|q  + p
---R      *
---R         log
---R                                                          +---------+
---R                  2 2               4    4             4  |   4    4
---R                (a p sin(a x) + (- p  + a )cos(a x) + a )\|- p  + a
---R              + 
---R                  6    4 2              2 4    6             2 4    6
---R                (p  - a p )sin(a x) + (a p  - a )cos(a x) + a p  - a
---R           /
---R               2            2
---R              a sin(a x) + p
+--R                       +-------+                          +-------+
+--R                       | 2    2                           | 2    2
+--R              tan(a x)\|q  + p                 p sin(a x)\|q  + p
+--R       - atan(------------------) + atan(-------------------------------)
+--R                       p                    2     2              2     2
+--R                                         (2q  + 2p )cos(a x) + 2q  + 2p
 --R     + 
---R                                   +-------+
---R          +---------+              | 2    2
---R          |   4    4      tan(a x)\|q  + p
---R       - \|- p  + a  atan(------------------)
---R                                   p
+--R                 2    2              2     2
+--R             ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)
+--R       atan(-----------------------------------------)
+--R                                            +-------+
+--R                       2                    | 2    2
+--R            (p cos(a x)  + 2p cos(a x) + p)\|q  + p
 --R  /
---R         +---------+ +-------+
---R         |   4    4  | 2    2
---R     a p\|- p  + a  \|q  + p
+--R         +-------+
+--R         | 2    2
+--R     a p\|q  + p
 --R                                                     Type: Expression Integer
 --E
 
---S 91     14:362 Axiom cannot simplify this expression
-cc2:=aa.2-bb
+--S 108
+dd:=ratDenom cc
 --R
 --R   (4)
 --R                                 +-------+
 --R          +-------+              | 2    2
---R          | 4    4      tan(a x)\|q  + p
---R       - \|p  - a  atan(------------------)
+--R          | 2    2      tan(a x)\|q  + p
+--R       - \|q  + p  atan(------------------)
 --R                                 p
 --R     + 
---R                                                       +-------+
---R          +-------+       2            2            2  | 4    4
---R          | 2    2      (p sin(a x) + a cos(a x) + a )\|p  - a
---R       2p\|q  + p  atan(----------------------------------------)
---R                                 4    4             4    4
---R                               (p  - a )cos(a x) + p  - a
+--R                                                                  +-------+
+--R        +-------+            2    2              2     2          | 2    2
+--R        | 2    2         ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R       \|q  + p  atan(--------------------------------------------------------)
+--R                          2    3         2        2     3               2    3
+--R                      (p q  + p )cos(a x)  + (2p q  + 2p )cos(a x) + p q  + p
+--R     + 
+--R                                       +-------+
+--R        +-------+                      | 2    2
+--R        | 2    2            p sin(a x)\|q  + p
+--R       \|q  + p  atan(-------------------------------)
+--R                         2     2              2     2
+--R                      (2q  + 2p )cos(a x) + 2q  + 2p
 --R  /
---R         +-------+ +-------+
---R         | 4    4  | 2    2
---R     a p\|p  - a  \|q  + p
+--R          2      3
+--R     a p q  + a p
 --R                                                     Type: Expression Integer
 --E
 
+--S 109
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                            - x + %i
+--R                     %i log(--------)
+--R                             x + %i
+--R   (5)  atan(x) == - ----------------
+--R                             2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 110
+ee:=atanrule dd
+--R
+--R   (6)
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                                +-------+
+--R                                | 2    2          2        2                 2
+--R                   - p sin(a x)\|q  + p   + (2%i q  + 2%i p )cos(a x) + 2%i q
+--R                 + 
+--R                        2
+--R                   2%i p
+--R              /
+--R                              +-------+
+--R                              | 2    2          2        2                 2
+--R                   p sin(a x)\|q  + p   + (2%i q  + 2%i p )cos(a x) + 2%i q
+--R                 + 
+--R                        2
+--R                   2%i p
+--R     + 
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                                                              +-------+
+--R                         2    2              2     2          | 2    2
+--R                   ((- 2q  - p )cos(a x) - 2q  - 2p )sin(a x)\|q  + p
+--R                 + 
+--R                          2       3         2           2        3
+--R                   (%i p q  + %i p )cos(a x)  + (2%i p q  + 2%i p )cos(a x)
+--R                 + 
+--R                         2       3
+--R                   %i p q  + %i p
+--R              /
+--R                                                            +-------+
+--R                       2    2              2     2          | 2    2
+--R                   ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R                 + 
+--R                          2       3         2           2        3
+--R                   (%i p q  + %i p )cos(a x)  + (2%i p q  + 2%i p )cos(a x)
+--R                 + 
+--R                         2       3
+--R                   %i p q  + %i p
+--R     + 
+--R                                  +-------+
+--R          +-------+               | 2    2
+--R          | 2    2     - tan(a x)\|q  + p   + %i p
+--R       %i\|q  + p  log(---------------------------)
+--R                                 +-------+
+--R                                 | 2    2
+--R                        tan(a x)\|q  + p   + %i p
+--R  /
+--R           2       3
+--R     2a p q  + 2a p
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 111
+ff:=expandLog ee
+--R
+--R   (7)
+--R            +-------+             +-------+
+--R            | 2    2              | 2    2
+--R       - %i\|q  + p  log(tan(a x)\|q  + p   + %i p)
+--R     + 
+--R          +-------+             +-------+
+--R          | 2    2              | 2    2
+--R       %i\|q  + p  log(tan(a x)\|q  + p   - %i p)
+--R     + 
+--R            +-------+
+--R            | 2    2
+--R         %i\|q  + p
+--R      *
+--R         log
+--R                                                       +-------+
+--R                  2    2              2     2          | 2    2
+--R              ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R            + 
+--R                     2       3         2           2        3                  2
+--R              (%i p q  + %i p )cos(a x)  + (2%i p q  + 2%i p )cos(a x) + %i p q
+--R            + 
+--R                  3
+--R              %i p
+--R     + 
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                                                          +-------+
+--R                     2    2              2     2          | 2    2
+--R                 ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R               + 
+--R                          2       3         2             2        3
+--R                 (- %i p q  - %i p )cos(a x)  + (- 2%i p q  - 2%i p )cos(a x)
+--R               + 
+--R                         2       3
+--R                 - %i p q  - %i p
+--R     + 
+--R            +-------+
+--R            | 2    2
+--R         %i\|q  + p
+--R      *
+--R                      +-------+
+--R                      | 2    2          2        2                 2        2
+--R       log(p sin(a x)\|q  + p   + (2%i q  + 2%i p )cos(a x) + 2%i q  + 2%i p )
+--R     + 
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                            +-------+
+--R                            | 2    2            2        2                 2
+--R                 p sin(a x)\|q  + p   + (- 2%i q  - 2%i p )cos(a x) - 2%i q
+--R               + 
+--R                        2
+--R                 - 2%i p
+--R     + 
+--R                     +-------+
+--R                     | 2    2
+--R       - %i log(- 1)\|q  + p
+--R  /
+--R           2       3
+--R     2a p q  + 2a p
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 112
+tanrule2:RewriteRule(INT,COMPLEX(INT),EXPR(COMPLEX(INT))):=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (8)  tan(a) == ------
+--R                  cos(a)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 113
+gg:=tanrule2 ff
+--R
+--R   (9)
+--R            +-------+
+--R            | 2    2
+--R         %i\|q  + p
+--R      *
+--R         log
+--R                                                       +-------+
+--R                  2    2              2     2          | 2    2
+--R              ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R            + 
+--R                     2       3         2           2        3                  2
+--R              (%i p q  + %i p )cos(a x)  + (2%i p q  + 2%i p )cos(a x) + %i p q
+--R            + 
+--R                  3
+--R              %i p
+--R     + 
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                                                          +-------+
+--R                     2    2              2     2          | 2    2
+--R                 ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R               + 
+--R                          2       3         2             2        3
+--R                 (- %i p q  - %i p )cos(a x)  + (- 2%i p q  - 2%i p )cos(a x)
+--R               + 
+--R                         2       3
+--R                 - %i p q  - %i p
+--R     + 
+--R            +-------+
+--R            | 2    2
+--R         %i\|q  + p
+--R      *
+--R                      +-------+
+--R                      | 2    2          2        2                 2        2
+--R       log(p sin(a x)\|q  + p   + (2%i q  + 2%i p )cos(a x) + 2%i q  + 2%i p )
+--R     + 
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                            +-------+
+--R                            | 2    2            2        2                 2
+--R                 p sin(a x)\|q  + p   + (- 2%i q  - 2%i p )cos(a x) - 2%i q
+--R               + 
+--R                        2
+--R                 - 2%i p
+--R     + 
+--R                                  +-------+
+--R            +-------+             | 2    2
+--R            | 2    2     sin(a x)\|q  + p   + %i p cos(a x)
+--R       - %i\|q  + p  log(----------------------------------)
+--R                                      cos(a x)
+--R     + 
+--R                              +-------+
+--R        +-------+             | 2    2                                 +-------+
+--R        | 2    2     sin(a x)\|q  + p   - %i p cos(a x)                | 2    2
+--R     %i\|q  + p  log(----------------------------------) - %i log(- 1)\|q  + p
+--R                                  cos(a x)
+--R  /
+--R           2       3
+--R     2a p q  + 2a p
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 114
+hh:=expandLog gg
+--R
+--R   (10)
+--R            +-------+
+--R            | 2    2
+--R         %i\|q  + p
+--R      *
+--R         log
+--R                                                       +-------+
+--R                  2    2              2     2          | 2    2
+--R              ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R            + 
+--R                     2       3         2           2        3                  2
+--R              (%i p q  + %i p )cos(a x)  + (2%i p q  + 2%i p )cos(a x) + %i p q
+--R            + 
+--R                  3
+--R              %i p
+--R     + 
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                                                          +-------+
+--R                     2    2              2     2          | 2    2
+--R                 ((2q  + p )cos(a x) + 2q  + 2p )sin(a x)\|q  + p
+--R               + 
+--R                          2       3         2             2        3
+--R                 (- %i p q  - %i p )cos(a x)  + (- 2%i p q  - 2%i p )cos(a x)
+--R               + 
+--R                         2       3
+--R                 - %i p q  - %i p
+--R     + 
+--R            +-------+
+--R            | 2    2
+--R         %i\|q  + p
+--R      *
+--R                      +-------+
+--R                      | 2    2          2        2                 2        2
+--R       log(p sin(a x)\|q  + p   + (2%i q  + 2%i p )cos(a x) + 2%i q  + 2%i p )
+--R     + 
+--R       -
+--R               +-------+
+--R               | 2    2
+--R            %i\|q  + p
+--R         *
+--R            log
+--R                            +-------+
+--R                            | 2    2            2        2                 2
+--R                 p sin(a x)\|q  + p   + (- 2%i q  - 2%i p )cos(a x) - 2%i q
+--R               + 
+--R                        2
+--R                 - 2%i p
+--R     + 
+--R            +-------+             +-------+
+--R            | 2    2              | 2    2
+--R       - %i\|q  + p  log(sin(a x)\|q  + p   + %i p cos(a x))
+--R     + 
+--R        +-------+             +-------+                                +-------+
+--R        | 2    2              | 2    2                                 | 2    2
+--R     %i\|q  + p  log(sin(a x)\|q  + p   - %i p cos(a x)) - %i log(- 1)\|q  + p
+--R  /
+--R           2       3
+--R     2a p q  + 2a p
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 115    14:362 Schaums and Axiom differ by a constant
+ii:=complexNormalize hh
+--R
+--R                                                   +-------+
+--R                                                   | 2    2
+--R         (%i log(%i) - %i log(- %i) - %i log(- 1))\|q  + p
+--R   (11)  ---------------------------------------------------
+--R                                 2       3
+--R                           2a p q  + 2a p
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.363~~~~~$\displaystyle
@@ -1636,9 +2468,8 @@ $$
 <<*>>=
 )clear all
 
---S 92
+--S 116
 aa:=integrate(1/(p^2-q^2*sin(a*x)^2),x)
---R 
 --R
 --R   (1)
 --R   [
@@ -1679,7 +2510,7 @@ aa:=integrate(1/(p^2-q^2*sin(a*x)^2),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 93
+--S 117
 bb1:=1/(a*p*sqrt(p^2-q^2))*atan((sqrt(p^2-q^2)*tan(a*x))/p)
 --R
 --R                      +---------+
@@ -1694,7 +2525,7 @@ bb1:=1/(a*p*sqrt(p^2-q^2))*atan((sqrt(p^2-q^2)*tan(a*x))/p)
 --R                                                     Type: Expression Integer
 --E
 
---S 94
+--S 118
 bb2:=1/(2*a*p*sqrt(q^2-p^2))*log((sqrt(q^2-p^2)*tan(a*x)+p)/(sqrt(q^2-p^2)*tan(a*x)-p))
 --R
 --R                     +-------+
@@ -1711,7 +2542,7 @@ bb2:=1/(2*a*p*sqrt(q^2-p^2))*log((sqrt(q^2-p^2)*tan(a*x)+p)/(sqrt(q^2-p^2)*tan(a
 --R                                                     Type: Expression Integer
 --E
 
---S 95
+--S 119
 cc1:=aa.1-bb1
 --R
 --R   (4)
@@ -1742,7 +2573,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 96
+--S 120
 cc2:=aa.2-bb1
 --R
 --R   (5)
@@ -1766,7 +2597,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 97
+--S 121
 cc3:=aa.1-bb2
 --R
 --R   (6)
@@ -1795,7 +2626,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 98     14:363 Axiom cannot simplify this expression
+--S 122
 cc4:=aa.2-bb2
 --R
 --R   (7)
@@ -1826,6 +2657,305 @@ cc4:=aa.2-bb2
 --R     2a p\|- q  + p  \|q  - p
 --R                                                     Type: Expression Integer
 --E
+
+--S 123
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (8)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 124
+dd2:=tanrule cc2
+--R
+--R   (9)
+--R                       +---------+                         +---------+
+--R                       |   2    2                          |   2    2
+--R              sin(a x)\|- q  + p                p sin(a x)\|- q  + p
+--R       - atan(--------------------) - atan(-------------------------------)
+--R                   p cos(a x)                 2     2              2     2
+--R                                           (2q  - 2p )cos(a x) + 2q  - 2p
+--R     + 
+--R                    2    2              2     2
+--R                ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)
+--R       - atan(-------------------------------------------)
+--R                                              +---------+
+--R                         2                    |   2    2
+--R              (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R  /
+--R         +---------+
+--R         |   2    2
+--R     a p\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 125
+ee2:=ratDenom dd2
+--R
+--R   (10)
+--R       -
+--R             +---------+
+--R             |   2    2
+--R            \|- q  + p
+--R         *
+--R                                                            +---------+
+--R                       2    2              2     2          |   2    2
+--R                   ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)\|- q  + p
+--R            atan(--------------------------------------------------------)
+--R                     2    3         2        2     3               2    3
+--R                 (p q  - p )cos(a x)  + (2p q  - 2p )cos(a x) + p q  - p
+--R     + 
+--R                                 +---------+
+--R        +---------+              |   2    2
+--R        |   2    2      sin(a x)\|- q  + p
+--R       \|- q  + p  atan(--------------------)
+--R                             p cos(a x)
+--R     + 
+--R                                        +---------+
+--R        +---------+                     |   2    2
+--R        |   2    2           p sin(a x)\|- q  + p
+--R       \|- q  + p  atan(-------------------------------)
+--R                           2     2              2     2
+--R                        (2q  - 2p )cos(a x) + 2q  - 2p
+--R  /
+--R          2      3
+--R     a p q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 126
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                             - x + %i
+--R                      %i log(--------)
+--R                              x + %i
+--R   (11)  atan(x) == - ----------------
+--R                              2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 127
+ff2:=atanrule ee2
+--R
+--R   (12)
+--R       -
+--R               +---------+
+--R               |   2    2
+--R            %i\|- q  + p
+--R         *
+--R            log
+--R                                +---------+
+--R                                |   2    2          2        2                 2
+--R                   - p sin(a x)\|- q  + p   + (2%i q  - 2%i p )cos(a x) + 2%i q
+--R                 + 
+--R                          2
+--R                   - 2%i p
+--R              /
+--R                              +---------+
+--R                              |   2    2          2        2                 2
+--R                   p sin(a x)\|- q  + p   + (2%i q  - 2%i p )cos(a x) + 2%i q
+--R                 + 
+--R                          2
+--R                   - 2%i p
+--R     + 
+--R                                      +---------+
+--R            +---------+               |   2    2
+--R            |   2    2     - sin(a x)\|- q  + p   + %i p cos(a x)
+--R       - %i\|- q  + p  log(--------------------------------------)
+--R                                     +---------+
+--R                                     |   2    2
+--R                            sin(a x)\|- q  + p   + %i p cos(a x)
+--R     + 
+--R            +---------+
+--R            |   2    2
+--R         %i\|- q  + p
+--R      *
+--R         log
+--R                                                           +---------+
+--R                      2    2              2     2          |   2    2
+--R                ((- 2q  + p )cos(a x) - 2q  + 2p )sin(a x)\|- q  + p
+--R              + 
+--R                       2       3         2           2        3
+--R                (%i p q  - %i p )cos(a x)  + (2%i p q  - 2%i p )cos(a x)
+--R              + 
+--R                      2       3
+--R                %i p q  - %i p
+--R           /
+--R                                                         +---------+
+--R                    2    2              2     2          |   2    2
+--R                ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)\|- q  + p
+--R              + 
+--R                       2       3         2           2        3
+--R                (%i p q  - %i p )cos(a x)  + (2%i p q  - 2%i p )cos(a x)
+--R              + 
+--R                      2       3
+--R                %i p q  - %i p
+--R  /
+--R           2       3
+--R     2a p q  - 2a p
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 128
+gg2:=expandLog ff2
+--R
+--R   (13)
+--R       -
+--R               +---------+
+--R               |   2    2
+--R            %i\|- q  + p
+--R         *
+--R            log
+--R                                                          +---------+
+--R                     2    2              2     2          |   2    2
+--R                 ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)\|- q  + p
+--R               + 
+--R                        2       3         2           2        3
+--R                 (%i p q  - %i p )cos(a x)  + (2%i p q  - 2%i p )cos(a x)
+--R               + 
+--R                       2       3
+--R                 %i p q  - %i p
+--R     + 
+--R            +---------+
+--R            |   2    2
+--R         %i\|- q  + p
+--R      *
+--R         log
+--R                                                       +---------+
+--R                  2    2              2     2          |   2    2
+--R              ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)\|- q  + p
+--R            + 
+--R                       2       3         2             2        3
+--R              (- %i p q  + %i p )cos(a x)  + (- 2%i p q  + 2%i p )cos(a x)
+--R            + 
+--R                      2       3
+--R              - %i p q  + %i p
+--R     + 
+--R            +---------+
+--R            |   2    2
+--R         %i\|- q  + p
+--R      *
+--R                      +---------+
+--R                      |   2    2          2        2                 2        2
+--R       log(p sin(a x)\|- q  + p   + (2%i q  - 2%i p )cos(a x) + 2%i q  - 2%i p )
+--R     + 
+--R       -
+--R               +---------+
+--R               |   2    2
+--R            %i\|- q  + p
+--R         *
+--R            log
+--R                            +---------+
+--R                            |   2    2            2        2                 2
+--R                 p sin(a x)\|- q  + p   + (- 2%i q  + 2%i p )cos(a x) - 2%i q
+--R               + 
+--R                      2
+--R                 2%i p
+--R     + 
+--R          +---------+             +---------+
+--R          |   2    2              |   2    2
+--R       %i\|- q  + p  log(sin(a x)\|- q  + p   + %i p cos(a x))
+--R     + 
+--R            +---------+             +---------+
+--R            |   2    2              |   2    2
+--R       - %i\|- q  + p  log(sin(a x)\|- q  + p   - %i p cos(a x))
+--R     + 
+--R                     +---------+
+--R                     |   2    2
+--R       - %i log(- 1)\|- q  + p
+--R  /
+--R           2       3
+--R     2a p q  - 2a p
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 129
+rootrule4a:RewriteRule(INT,COMPLEX(INT),EXPR(COMPLEX(INT))):=rule(sqrt(p^2-q^2)==sqrt(p-q)*sqrt(q+p))
+--R
+--R          +---------+
+--R          |   2    2      +-------+ +-----+
+--R   (14)  \|- q  + p   == \|- q + p \|q + p
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 130
+hh2:=rootrule4a gg2
+--R
+--R   (15)
+--R       -
+--R               +-------+ +-----+
+--R            %i\|- q + p \|q + p
+--R         *
+--R            log
+--R                     2    2              2     2          +-------+ +-----+
+--R                 ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)\|- q + p \|q + p
+--R               + 
+--R                        2       3         2           2        3
+--R                 (%i p q  - %i p )cos(a x)  + (2%i p q  - 2%i p )cos(a x)
+--R               + 
+--R                       2       3
+--R                 %i p q  - %i p
+--R     + 
+--R            +-------+ +-----+
+--R         %i\|- q + p \|q + p
+--R      *
+--R         log
+--R                  2    2              2     2          +-------+ +-----+
+--R              ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)\|- q + p \|q + p
+--R            + 
+--R                       2       3         2             2        3
+--R              (- %i p q  + %i p )cos(a x)  + (- 2%i p q  + 2%i p )cos(a x)
+--R            + 
+--R                      2       3
+--R              - %i p q  + %i p
+--R     + 
+--R            +-------+ +-----+
+--R         %i\|- q + p \|q + p
+--R      *
+--R         log
+--R                         +-------+ +-----+         2        2                 2
+--R              p sin(a x)\|- q + p \|q + p  + (2%i q  - 2%i p )cos(a x) + 2%i q
+--R            + 
+--R                     2
+--R              - 2%i p
+--R     + 
+--R       -
+--R               +-------+ +-----+
+--R            %i\|- q + p \|q + p
+--R         *
+--R            log
+--R                            +-------+ +-----+           2        2
+--R                 p sin(a x)\|- q + p \|q + p  + (- 2%i q  + 2%i p )cos(a x)
+--R               + 
+--R                        2        2
+--R                 - 2%i q  + 2%i p
+--R     + 
+--R          +-------+ +-----+             +-------+ +-----+
+--R       %i\|- q + p \|q + p log(sin(a x)\|- q + p \|q + p  + %i p cos(a x))
+--R     + 
+--R            +-------+ +-----+             +-------+ +-----+
+--R       - %i\|- q + p \|q + p log(sin(a x)\|- q + p \|q + p  - %i p cos(a x))
+--R     + 
+--R                     +-------+ +-----+
+--R       - %i log(- 1)\|- q + p \|q + p
+--R  /
+--R           2       3
+--R     2a p q  - 2a p
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 131    14:363 Schaums and Axiom differ by a constant
+ii2:=complexNormalize hh2
+--R
+--R                                                   +-------+ +-----+
+--R         (%i log(%i) - %i log(- %i) - %i log(- 1))\|- q + p \|q + p
+--R   (16)  -----------------------------------------------------------
+--R                                     2       3
+--R                               2a p q  - 2a p
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.364~~~~~$\displaystyle
@@ -1837,7 +2967,7 @@ $$
 <<*>>=
 )clear all
 
---S 99     14:364 Axiom cannot compute this integral
+--S 132    14:364 Axiom cannot compute this integral
 aa:=integrate(x^m*sin(a*x),x)
 --R 
 --R
@@ -1857,7 +2987,7 @@ $$
 <<*>>=
 )clear all
 
---S 100    14:365 Axiom cannot compute this integral
+--S 133    14:365 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)/x^n,x)
 --R 
 --R
@@ -1878,7 +3008,7 @@ $$
 <<*>>=
 )clear all
 
---S 101    14:366 Axiom cannot compute this integral
+--S 134    14:366 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)^n,x)
 --R 
 --R
@@ -1899,7 +3029,7 @@ $$
 <<*>>=
 )clear all
 
---S 102    14:367 Axiom cannot compute this integral
+--S 135    14:367 Axiom cannot compute this integral
 aa:=integrate(1/(sin(a*x))^n,x)
 --R 
 --R
@@ -1922,7 +3052,7 @@ $$
 <<*>>=
 )clear all
 
---S 103    14:368 Axiom cannot compute this integral
+--S 136    14:368 Axiom cannot compute this integral
 aa:=integrate(x/sin(a*x)^n,x)
 --R 
 --R
